package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwIpadServer;

import java.util.List;

/**
 * ipad服务器Service接口
 *
 * @author fs
 * @date 2025-04-29
 */
public interface IQwIpadServerService extends IService<QwIpadServer>{
    /**
     * 查询ipad服务器
     *
     * @param id ipad服务器主键
     * @return ipad服务器
     */
    QwIpadServer selectQwIpadServerById(Long id);

    /**
     * 查询ipad服务器列表
     *
     * @param qwIpadServer ipad服务器
     * @return ipad服务器集合
     */
    List<QwIpadServer> selectQwIpadServerList(QwIpadServer qwIpadServer);

    /**
     * 新增ipad服务器
     *
     * @param qwIpadServer ipad服务器
     * @return 结果
     */
    int insertQwIpadServer(QwIpadServer qwIpadServer);

    /**
     * 修改ipad服务器
     *
     * @param qwIpadServer ipad服务器
     * @return 结果
     */
    int updateQwIpadServer(QwIpadServer qwIpadServer);

    /**
     * 批量删除ipad服务器
     *
     * @param ids 需要删除的ipad服务器主键集合
     * @return 结果
     */
    int deleteQwIpadServerByIds(Long[] ids);

    /**
     * 删除ipad服务器信息
     *
     * @param id ipad服务器主键
     * @return 结果
     */
    int deleteQwIpadServerById(Long id);

    Long selectQwIpadServerByAddressId(String addressId);

    void subtractServer(Long serverId);

    void addServer(Long serverId);

    Long selectQwIpadServerByOtherAddressId();
}
